Subject: RE: [IPTEL] External References (was Re: CPLng)

From: [email-masked]
Date: Thu, 30 Nov 2000 15:28:28 -0600

Jiri,

This antispam idea was discussed recently on the list. No conclusions, mind
you. Please take a look at the following:

http://lists.bell-labs.com/pipermail/iptel/2000q4/000388.html

http://lists.bell-labs.com/pipermail/iptel/2000q4/000393.html

http://lists.bell-labs.com/pipermail/iptel/2000q4/000397.html

http://lists.bell-labs.com/pipermail/iptel/2000q4/000398.html

> -----Original Message-----
> From: EXT Jiri Kuthan [mailto:[email-masked]]
> Sent: Thursday, November 30, 2000 4:17 PM
> To: Jonathan Rosenberg
> Cc: Henning G. Schulzrinne; Jonathan Lennox; 
> [email-masked]'
> Subject: [IPTEL] External References (was Re: CPLng)
> 
> 
> Jonathan Rosenberg wrote:
> [...]
> > I'm not yet sure what problem is being solved. Lets get 
> agreement on what we
> > need this for, what fields we want to run checks against, 
> whether the checks
> > are against lists inside the script or externally 
> referenced, the general
> > model for how this works (i.e., can we use the 
> lookup/location model of
> > modification of an implicit global variable) and so on. 
> 
> Sorry for that.
> 
> Particularly, I've had spam protection in my mind. In this 
> case, there is
> some 3rd party, that collects address of well-known spammers 
> and is trusted 
> by author of a CPL script. Without the ability to refer to 
> such an external
> database, users have to download the database, generate a 
> script out of
> it and upload it to a CPL server. The resulting CPL scripts become 
> pretty long and difficult to read. They may be easily out of sync.
> 
> So what I'd like to have is the ability to check caller's 
> address against 
> an external list in a CPL script.
> 
> Does this sound reasonable?
> 
> Jiri
> 
> P.S. Just in case, you do not want to trust what you see in 
> From: field
>      you may want to go for the authentication switching.
> 
> _______________________________________________
> IPTEL mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/iptel
> 

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel